Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/mtd-utils: Move from unmaintained. Upgrade to 2.0.0. Modernize.

From: Przemyslaw Pawelczyk <przemoc_at_zoho.com>
Date: Sat, 14 Jan 2017 01:23:31 +0100

It remains maintainerless for now. Maybe someone will volunteer.
---
 testing/mtd-utils/APKBUILD      | 37 +++++++++++++++++++++++++++++++++++++
 unmaintained/mtd-utils/APKBUILD | 38 --------------------------------------
 2 files changed, 37 insertions(+), 38 deletions(-)
 create mode 100644 testing/mtd-utils/APKBUILD
 delete mode 100644 unmaintained/mtd-utils/APKBUILD
diff --git a/testing/mtd-utils/APKBUILD b/testing/mtd-utils/APKBUILD
new file mode 100644
index 000000000000..4582db88abca
--- /dev/null
+++ b/testing/mtd-utils/APKBUILD
_at_@ -0,0 +1,37 @@
+# Maintainer:
+pkgname=mtd-utils
+pkgver=2.0.0
+pkgrel=0
+pkgdesc="Utilities for handling MTD devices, and for dealing with FTL, NFTL JFFS2, etc."
+url="http://www.linux-mtd.infradead.org/"
+arch="all"
+license="GPL2"
+makedepends="linux-headers lzo-dev util-linux-dev zlib-dev acl-dev"
+subpackages="$pkgname-doc"
+source="ftp://ftp.infradead.org/pub/mtd-utils/$pkgname-$pkgver.tar.bz2"
+
+builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	./configure \
+	            --build=$CBUILD \
+	            --host=$CHOST \
+	            --prefix=/usr \
+	            --sysconfdir=/etc \
+	            --mandir=/usr/share/man \
+		|| return 1
+	make \
+		|| return 1
+}
+
+package() {
+	cd "$builddir"
+	make install -j1 \
+	     DESTDIR="$pkgdir" \
+		|| return 1
+}
+
+md5sums="70b80fccdfc1b536a91deefb91f4e2be  mtd-utils-2.0.0.tar.bz2"
+sha256sums="20a377aa86af4c102e930b0d0bb9859e3a10aeb16445f6a1273989b206a717c8  mtd-utils-2.0.0.tar.bz2"
+sha512sums="52d3fab58d254fd672f53b3f1868b19ca572a8f257fc86519d7afc7979776afa37c0f21d63cc9e9cdc2e342f1cfb2d077b07847f18f6484dc660077ee347f2fb  mtd-utils-2.0.0.tar.bz2"
diff --git a/unmaintained/mtd-utils/APKBUILD b/unmaintained/mtd-utils/APKBUILD
deleted file mode 100644
index 10d8f4474db5..000000000000
--- a/unmaintained/mtd-utils/APKBUILD
+++ /dev/null
_at_@ -1,38 +0,0 @@
-# Maintainer: Valery McHno <anarch.linux_at_gmail.com>
-pkgname=mtd-utils
-pkgver=1.5.2
-pkgrel=0
-pkgdesc="Utilities for handling MTD devices, and for dealing with FTL, NFTL JFFS2, etc."
-url="http://www.linux-mtd.infradead.org/"
-arch="all"
-license="GPL2"
-#depends="libuuid lzo zlib"
-depends=""
-makedepends="linux-headers lzo-dev util-linux-dev zlib-dev acl-dev"
-subpackages="$pkgname-doc"
-source="ftp://ftp.infradead.org/pub/mtd-utils/$pkgname-$pkgver.tar.bz2"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-
-prepare() {
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make -j1 DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="596bc7b20a6d4fb86d63fc9b8af674d6  mtd-utils-1.5.2.tar.bz2"
-sha256sums="5db57389280a3abaec5dd23af2590988b70f213fa3929c12a2642c8f9a86f400  mtd-utils-1.5.2.tar.bz2"
-sha512sums="ad0246b24ab7d8efca9b7f9af717deeb92684a328759203eed3f98db6539b46c12f5c9900b8757a5a217b579e31af3571e0bb7eeed6081e741463814148bfee3  mtd-utils-1.5.2.tar.bz2"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Jan 14 2017 - 01:23:31 UTC